import datetime
from pydantic import BaseModel


class MapOut(BaseModel):
    crc: int
    crc_human: str
    name: str
    size: int
    upload_date: datetime.datetime
    blob_location: str

    class Config:
        orm_mode = True


class MapIn(BaseModel):
    name: str
    b64_data: str
