import datetime
from sqlalchemy import Column, Integer, String, DateTime
# from sqlalchemy.orm import relationship

from .database import Base


class Map(Base):
    __tablename__ = "maps"

    crc = Column(Integer, primary_key=True, index=True)
    name = Column(String)
    size = Column(Integer)
    upload_date = Column(DateTime, default=datetime.datetime.utcnow)
    filename = Column(String)
